=== debian/changelog ===
audacity (2.3.1-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 10 Mar 2019 10:15:48 -0700

audacity (2.3.1-0build1~ubuntu16.04) xenial; urgency=low

  * new upstream release.
  * rebuilt with system portaudio

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Fri, 29 Jan 2016 19:31:05 +0100
