=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed

configure_flags := \
	--disable-dynamic-loading \
	--with-expat=system \
	--with-ffmpeg=system \
	--with-lame=system \
	--with-libflac=system \
	--with-libid3tag=system \
	--with-libmad=system \
	--with-libsndfile=system \
	--with-libsoxr=system \
	--with-libtwolame=system \
	--with-libvamp=system \
	--with-libvorbis=system \
	--with-lv2=system \
	--with-midi=system \
	--with-portaudio=system \
	--with-sbsms=local \
	--with-portsmf=system \
	--with-soundtouch=system \
	$(NULL)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

# The tests fail to build as of version 2.0.6
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym
